<?php
$ht = $this->module()->getClientModuleConfiguration('budget', 'ht');
$evolution = $this->module()->getClientModuleConfiguration('budget', 'evolution');
?>

<div id="incomeFormModal" class="modal fade" ng-controller="incomeFormController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
	<div class="modal-dialog">
		<div class="modal-content">
			<form id="incomeForm" name="incomeForm" ng-submit="self.saveIncome();">
				<div class="modal-header">
					{{self.panelTitle}}
				</div>
				<div class="modal-body">
					<input type="hidden" name="id" ng-model="self.income.id" />

					<p class="alert alert-info" ng-if="self.income.age">
						<?= $this->translate('non_editable_age_info_message'); ?>
					</p>

					<ul class="nav nav-tabs nav-justified separator">
						<li class="active">
							<a href="#income-general" data-toggle="tab">
								<?= ucfirst($this->translate('income_entity')) ?>
							</a>
						</li>
						<li>
							<a href="#income-details" data-toggle="tab">
								Détails
							</a>
						</li>
					</ul>

					<div class="tab-content">
						<div class="tab-pane active" id="income-general">
							<div class="row" ng-if="self.from.id === self.income.project.id">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_poste') ?></label>
									<poste-income-select name="poste" ng-model="self.income.poste" ng-disabled="!self.income._rights.update || lockBudget" form="incomeForm" configuration="{
                                            service: {
                                                apiParams: {
                                                    search: {
                                                        data: {
                                                            filters: {
                                                                project: {
                                                                    op: 'eq',
                                                                    val: self.from.id
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                    }"></poste-income-select>
									<field-errors field="poste" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_name') ?></label>
									<input type="text" name="name" class="form-control" autocomplete="off" ng-model="self.income.name" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="name" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_amount') ?></label>
									<div class="input-group">
										<input type="text" name="amount" class="form-control" autocomplete="off" input-mask="decimal" ng-model="self.income.amount" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
										<div class="input-group-addon">
											<i class="fa fa-euro"></i>
										</div>
									</div>
									<field-errors field="amount" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<?php if ($ht) : ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('income_field_amountHT') ?></label>
										<div class="input-group">
											<input type="text" name="amountHT" class="form-control" autocomplete="off" input-mask="decimal" ng-model="self.income.amountHT" ng-readonly="!self.income._rights.update || lockBudget" />
											<div class="input-group-addon">
												<i class="fa fa-euro"></i>
											</div>
										</div>
										<field-errors field="amountHT" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<div class="row">
								<div class="form-group required col-xs-12">
									<label><?= $this->translate('income_field_type') ?></label>
									<select class="form-control" required ng-model="self.income.type" ng-disabled="!self.income._rights.update || lockBudget || self.income.age">
										<?php
										foreach ($this->allowedIncomeTypes() as $type) {
											echo '<option value="' . $type . '">' . $this->translate('income_type_' . $type) . '</option>';
										}
										?>
									</select>
									<field-errors field="type" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group required col-xs-12">
									<label><?= $this->translate('income_field_date') ?></label>
									<input type="text" name="date" class="form-control" required="true" autocomplete="off" input-date input-date-mask="date" ng-model="self.income.date" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
									<field-errors field="date" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<?php if ($evolution) : ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('income_field_evolution') ?></label>
										<input type="checkbox" name="evolution" ng-model="self.income.evolution" ng-readonly="!self.income._rights.update || lockBudget" />
										<field-errors field="evolution" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<?php if ($this->module()->isActive('keyword')) : ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<keywords-form-group entity="income" ng-model="self.income"></keywords-form-group>
									</div>
								</div>
							<?php endif; ?>
						</div>

						<div class="tab-pane" id="income-details">
							<div class="row">

								<?php if ($this->acl()->isAllowed('budget:e:managementUnit:r')) : ?>
									<div class="form-group col-xs-12">
										<label><?= $this->translate('management_unit_entity') ?></label>
										<management-unit-select name="managementUnit" ng-model="self.income.managementUnit" ng-disabled="!self.income._rights.update || lockBudget" form="incomeForm"></management-unit-select>
										<field-errors field="managementUnit" errors="self.errors.fields"></field-errors>
									</div>
								<?php endif; ?>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_convention') ?></label>
									<input type="text" name="convention" class="form-control" autocomplete="off" ng-model="self.income.convention" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="convention" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_conventionTitle') ?></label>
									<input type="text" name="conventionTitle" class="form-control" autocomplete="off" ng-model="self.income.conventionTitle" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
									<field-errors field="conventionTitle" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_tiers') ?></label>
									<input type="text" name="tiers" class="form-control" autocomplete="off" ng-model="self.income.tiers" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
									<field-errors field="tiers" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_anneeExercice') ?></label>
									<input type="text" name="anneeExercice" class="form-control" autocomplete="off" ng-model="self.income.anneeExercice" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
									<field-errors field="anneeExercice" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_bordereau') ?></label>
									<input type="text" name="bordereau" class="form-control" autocomplete="off" ng-model="self.income.bordereau" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="bordereau" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_mandat') ?></label>
									<input type="text" name="mandat" class="form-control" autocomplete="off" ng-model="self.income.mandat" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="mandat" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_engagement') ?></label>
									<input type="text" name="engagement" class="form-control" autocomplete="off" ng-model="self.income.engagement" ng-readonly="!self.income._rights.update || lockBudget || self.income.age" />
									<field-errors field="engagement" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_complement') ?></label>
									<input type="text" name="complement" class="form-control" autocomplete="off" ng-model="self.income.complement" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="complement" errors="self.errors.fields"></field-errors>
								</div>

								<div class="form-group col-xs-12">
									<label><?= $this->translate('income_field_serie') ?></label>
									<input type="text" name="serie" class="form-control" autocomplete="off" ng-model="self.income.serie" ng-readonly="!self.income._rights.update || lockBudget" />
									<field-errors field="serie" errors="self.errors.fields"></field-errors>
								</div>

								<?php if ($evolution) : ?>
									<div class="form-group col-xs-12" ng-if="self.income.evolution">
										<label><?= $this->translate('income_field_project_report') ?></label>
										<project-select ng-model="self.income.transfer" required="false" configuration="{
																service: {
																		apiParams: {
																				search: {
																						data: {
																								filters: {
																										id: {
																												op: 'neq',
																												val: self.project.id
																										}
																								}
																						}
																				}
																		}
																}
														}"></project-select>
										<field-errors field="parent" errors="self.errors.fields"></field-errors>
									</div>
								<?php endif; ?>

							</div>
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<button class="btn btn-default" type="button" data-dismiss="modal">
						<?= $this->translate('close') ?>
					</button>
					<button class="btn btn-submit" ng-disabled="self.loading.save" ng-if="!lockBudget && self.income._rights.update">
						<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
						<?= $this->translate('save') ?>
					</button>
				</div>
			</form>
		</div>
	</div>
</div>